/* Experiment position och storlek */
// --------------------------------------------------
// Globala variabler
let boxElem, wrapperElem;   // Element för boxen och dess omgivande element
let step = 10;              // Antal pixlar boxen ska flyttas i varje steg.
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    wrapperElem = document.querySelector("#wrapper");
    boxElem = document.querySelector("#box");
    boxElem.style.left = "140px";  // Initial poition
    boxElem.style.top = "80px";
    posAndSize();
    document.addEventListener("keydown", checkKey);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa position och storlek för boxen
function posAndSize() {
    let wRect = wrapperElem.getBoundingClientRect();
    console.log( wRect.left, wRect.top, wRect.width, wRect.height );

    let bRect = boxElem.getBoundingClientRect();
    console.log( bRect.left, bRect.top, bRect.width, bRect.height );

    console.log( boxElem.style.left, boxElem.style.top );

    let x = parseInt(boxElem.style.left); // Ta bort enheten px
    let y = parseInt(boxElem.style.top);
    console.log( x, y );
} // Slut posAndSize
// --------------------------------------------------
// Flytta boxen i sidled
function moveBox() {
    let x = parseInt(boxElem.style.left);
    x += step;
    // Här bör man också kontrollera gränser, så att man håller sig inom
    // det omgivande elementet, men det kommer i ett annat exempel
    boxElem.style.left = x + "px";
} // Slut moveBox
// --------------------------------------------------
// Kontrollera tangenter och flytta boxen eller byt riktning
function checkKey(e) {
    switch (e.code) {
        case "KeyM":
            moveBox(); // Flytta ett steg
            break;
        case "Space":
            step = -step; // Byt riktning
            break;
    }
} // Slut checkKey
// --------------------------------------------------
